Sketchup 中圆弧的动态组件属性
Dynamic Component Attributes of Arc's in Sketchup
我的绘图中有一个 3 点弧。标准中提供的动态属性与矩形相同。有没有办法将这 3 个点定义为属性,以便之后能够动态更改它们?
您可以使用附加到每个 Entity
和 Model
的 AttributeDictionary 来存储自定义属性。
dictname = "TestDictionary"
key = "arcs"
value = ["x", "y", "z"]
model = Sketchup.active_model
model.set_attribute dictname, key, value
dict = model.attribute_dictionary dictname
arcs = dict[key]
// or
arcs = model.get_attribute dictname, key
我的绘图中有一个 3 点弧。标准中提供的动态属性与矩形相同。有没有办法将这 3 个点定义为属性,以便之后能够动态更改它们?
您可以使用附加到每个 Entity
和 Model
的 AttributeDictionary 来存储自定义属性。
dictname = "TestDictionary"
key = "arcs"
value = ["x", "y", "z"]
model = Sketchup.active_model
model.set_attribute dictname, key, value
dict = model.attribute_dictionary dictname
arcs = dict[key]
// or
arcs = model.get_attribute dictname, key